#ifndef BALL_H
#define BALL_H

#include <math.h>
#include "constants.h"
#include "globals.h"
#include "functions.h"
#include "paddle.h"

class Ball
{
	public:
		Ball();
		int getY();
		void reset();
		int move(const Paddle &player1, const Paddle &player2, Uint32 deltaTicks);
		void draw() const;

	private:
		SDL_Surface *ballImage;
		float angle;
		float vel;
		float x;
		float y;
		float xVel;
		float yVel;
};

#endif
